from random import *
from sys import argv

seed('ololo')

test = 1
def out(n):
	global test
	test += 1
	print('%d'%test)
	out = open('../tests/%02d'%test, 'w')
	print(randint(1, 9), end = '', file = out);
	for i in range(n - 1):
		print(randint(0 , 9), end = '', file = out)
	print(file = out);
	print(randint(1, 9), end = '', file = out);
	for i in range(n - 1):
		print(randint(0 , 9), end = '', file = out)
	
	
k = open('../tests/%02d'%test, 'w')
print(1234, file = k)
print(4321, file = k)

for i in range(1, 18):
	out(i)


